# DataExchange
TKIGES
IGESGeom

# IGESGeom_Array1OfTransformationMatrix Class Reference

`#include <IGESGeom_Array1OfTransformationMatrix.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESGeom_Array1OfTransformationMatrix (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESGeom_Array1OfTransformationMatrix (const Handle(IGESGeom_TransformationMatrix)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(IGESGeom_TransformationMatrix)&V)
Standard_EXPORT void | Destroy ()
| ~IGESGeom_Array1OfTransformationMatrix ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const IGESGeom_Array1OfTransformationMatrix & | Assign (const IGESGeom_Array1OfTransformationMatrix &Other)
const IGESGeom_Array1OfTransformationMatrix & | operator= (const IGESGeom_Array1OfTransformationMatrix &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESGeom_TransformationMatrix)&Value)
const Handle_IGESGeom_TransformationMatrix & | Value (const Standard_Integer Index) const
const Handle_IGESGeom_TransformationMatrix & | operator() (const Standard_Integer Index) const
Handle_IGESGeom_TransformationMatrix & | ChangeValue (const Standard_Integer Index)
Handle_IGESGeom_TransformationMatrix & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | IGESGeom_Array1OfTransformationMatrix (const IGESGeom_Array1OfTransformationMatrix &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_Array1OfTransformationMatrix::IGESGeom_Array1OfTransformationMatrix | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESGeom_Array1OfTransformationMatrix::IGESGeom_Array1OfTransformationMatrix | ( | const Handle(IGESGeom_TransformationMatrix)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

IGESGeom_Array1OfTransformationMatrix::~IGESGeom_Array1OfTransformationMatrix | ( |  | ) | `[inline]`

Standard_EXPORT IGESGeom_Array1OfTransformationMatrix::IGESGeom_Array1OfTransformationMatrix | ( | const IGESGeom_Array1OfTransformationMatrix & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const IGESGeom_Array1OfTransformationMatrix& IGESGeom_Array1OfTransformationMatrix::Assign | ( | const IGESGeom_Array1OfTransformationMatrix & | Other | ) |

Handle_IGESGeom_TransformationMatrix& IGESGeom_Array1OfTransformationMatrix::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void IGESGeom_Array1OfTransformationMatrix::Destroy | ( |  | ) |

Standard_EXPORT void IGESGeom_Array1OfTransformationMatrix::Init | ( | const Handle(IGESGeom_TransformationMatrix)& | V | ) |

Standard_Boolean IGESGeom_Array1OfTransformationMatrix::IsAllocated | ( |  | ) | const

Standard_Integer IGESGeom_Array1OfTransformationMatrix::Length | ( |  | ) | const

Standard_Integer IGESGeom_Array1OfTransformationMatrix::Lower | ( |  | ) | const

void IGESGeom_Array1OfTransformationMatrix::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESGeom_Array1OfTransformationMatrix::operator new | ( | size_t | size | ) | `[inline]`

void* IGESGeom_Array1OfTransformationMatrix::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_IGESGeom_TransformationMatrix& IGESGeom_Array1OfTransformationMatrix::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_IGESGeom_TransformationMatrix& IGESGeom_Array1OfTransformationMatrix::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const IGESGeom_Array1OfTransformationMatrix& IGESGeom_Array1OfTransformationMatrix::operator= | ( | const IGESGeom_Array1OfTransformationMatrix & | Other | ) | `[inline]`

void IGESGeom_Array1OfTransformationMatrix::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESGeom_TransformationMatrix)& | Value
| ) |

Standard_Integer IGESGeom_Array1OfTransformationMatrix::Upper | ( |  | ) | const

const Handle_IGESGeom_TransformationMatrix& IGESGeom_Array1OfTransformationMatrix::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESGeom_Array1OfTransformationMatrix::isAllocated`[private]`

Standard_Integer IGESGeom_Array1OfTransformationMatrix::myLowerBound`[private]`

Standard_Address IGESGeom_Array1OfTransformationMatrix::myStart`[private]`

Standard_Integer IGESGeom_Array1OfTransformationMatrix::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- IGESGeom_Array1OfTransformationMatrix.hxx